Bug 986487 - SELinux is preventing /usr/sbin/prelink from 'getattr' accesses on the file /usr/libexec/mysqld.
SELinux is preventing /usr/sbin/prelink from 'getattr' accesses on the file /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:176b4f887e0710469bd0fadc2eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 18:40 EDT by Adam Williamson
Modified: 2015-06-29 08:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:06:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-07-19 18:40:00 EDT
Description of problem:
I have a huge pile of these - like 200+. It looks like Rawhide's selinux policy is simply too strict for what prelink wants to do. I think this was just a scheduled background run of prelink.
SELinux is preventing /usr/sbin/prelink from 'getattr' accesses on the file /usr/libexec/mysqld.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that prelink should be allowed getattr access on the mysqld file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep prelink /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
                              1023
Target Context                system_u:object_r:mysqld_exec_t:s0
Target Objects                /usr/libexec/mysqld [ file ]
Source                        prelink
Source Path                   /usr/sbin/prelink
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           mariadb-server-5.5.31-6.fc20.x86_64
Policy RPM                    selinux-policy-3.12.1-65.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc1.git0.1.fc20.x86_64 #1
                              SMP Wed Jul 17 11:56:17 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-19 15:37:13 PDT
Last Seen                     2013-07-19 15:37:13 PDT
Local ID                      817954d8-3485-43c1-b015-86b8eea12f62

Raw Audit Messages
type=AVC msg=audit(1374273433.420:941): avc:  denied  { getattr } for  pid=19756 comm="prelink" path="/usr/libexec/mysqld" dev="dm-1" ino=138771 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mysqld_exec_t:s0 tclass=file


Hash: prelink,prelink_cron_system_t,mysqld_exec_t,file,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc1.git0.1.fc20.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-21 07:05:49 EDT
The problem is prelink_cron_system_t did not transition to prelink_t. when it executes prelink.

ls -lZ /usr/sbin/prelink 
-rwxr-xr-x. root root system_u:object_r:prelink_exec_t:s0 /usr/sbin/prelink

sesearch -T -s prelink_cron_system_t -t prelink_exec_t
Found 1 semantic te rules:
   type_transition prelink_cron_system_t prelink_exec_t : process prelink_t;
Comment 2 Adam Williamson 2013-07-21 12:56:39 EDT
What info do you need?
Comment 3 Adam Williamson 2013-07-21 12:57:26 EDT
[adamw@adam ~]$ ls -lZ /usr/sbin/prelink
-rwxr-xr-x. root root unconfined_u:object_r:bin_t:s0   /usr/sbin/prelink
[adamw@adam ~]$ restorecon -nv /usr/sbin/prelink 
restorecon reset /usr/sbin/prelink context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:prelink_exec_t:s0

Guess that's the problem?
Comment 4 Miroslav Grepl 2013-07-22 07:06:37 EDT
Yes, it was a problem. It looks something is wrong on the update because we see mislabeled binaries.
Comment 5 Fedora End Of Life 2013-09-16 10:39:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Fedora End Of Life 2015-05-29 05:12:02 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:06:27 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.